import Vue from 'vue'
import { mapGetters } from 'vuex';
Vue.mixin({
  data () {
    return {
      fullscreenLoading: false,
    }
  },
  computed: {
    ...mapGetters(['isLogin', 'updateSymbolList', 'language', 'isDot', 'msgDotNumber', 'serverUtil', 'userInfo', 'appParams', 'appFlag']),
    serverName() {
      return {
        'CFD': this.$t('common.l15'),
        'copy': this.$t('follow.l146'),
        'SZ': this.$t('share.l2'),
        'SH': this.$t('share.l2'),
        'CN': this.$t('share.l2'),
        'US': this.$t('common.l18'),
        'HK': this.$t('common.l19'),
        'follow': this.$t('account.l130'),
      }
    },
    serverUtilName() {
      return {
        'CFD': this.$t('common.l20'),
        'SZ': this.$t('common.l21'),
        'SH': this.$t('common.l21'),
        'CN': this.$t('common.l21'),
        'US': this.$t('common.l20'),
        'HK': this.$t('common.l22'),
      }
    },
  },
  beforeDestroy() {
    this.fullscreenLoading = false
  },
  deactivated() {
    this.fullscreenLoading = false
  },
  methods: {
  }
})